[torquedev] [Bug 154] 2.5.8-snap.201108241142: Warnings and wrong ./configure help

bugzilla-daemon at supercluster.org bugzilla-daemon at supercluster.org
Mon Aug 29 11:49:48 MDT 2011


http://www.clusterresources.com/bugzilla/show_bug.cgi?id=154

--- Comment #2 from Tobias Burnus <burnus at net-b.de> 2011-08-29 11:49:48 MDT ---
(In reply to comment #1)
> Could you create a separate bug for the compiler warnings.

I will do so.

> Setting gcc-warnings as disabled by default has been fixed in 
> torque-2.5.8-snap.201108261600.tar.gz.

This does not seem to be the case for

http://www.clusterresources.com/downloads/torque/snapshots/torque-2.5.8-snap.201108261600.tar.gz

./configure --help  still shows a partially wrong result:

  --enable-gcc-warnings  Enable gcc strictness and warnings.  If using
                          gcc, default is to error on any warning

That is: The --enable part is now correct, but the comment afterwards does not
seem to reflect configure{,.ac}: Contrary to the description, the strict
checking is not enabled by default when compiling with GCC but only when one
uses both the flag *and* GCC, see:

if test "x$GCC" = "xyes" ;then
  AC_MSG_CHECKING([whether to use strict gcc warnings])
  if test "${enable_gcc_warnings}" == "yes" ; then
...
  else
    AC_MSG_RESULT([no])
  fi
fi

-- 
Configure bugmail: http://www.clusterresources.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.


More information about the torquedev mailing list